Vue Map - Handle the Related Events

The Map UI component fires the markerAdded and markerRemoved events when a marker is added or removed. To handle them, assign functions to the onMarkerAdded and onMarkerRemoved properties, respectively.

  • <template>
  • <DxMap
  • :zoom="10"
  • :center="centerCoordinates"
  • @marker-added="markerAdded"
  • @marker-removed="markerRemoved"
  • />
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxMap } from 'devextreme-vue/map';
  •  
  • export default {
  • components: {
  • DxMap
  • },
  • data() {
  • return {
  • centerCoordinates: { lat: 40.749825, lng: -73.987963 }
  • };
  • },
  • methods: {
  • markerAdded(e) {
  • const addedMarker = e.options;
  • // The original marker used by the current map provider
  • const originalMarker = e.originalMarker;
  • // Event handling commands go here
  • },
  • markerRemoved(e) {
  • const removedMarker = e.options;
  • // Event handling commands go here
  • }
  • }
  • }
  • </script>
See Also

React Map - Handle the Related Events

The Map UI component fires the markerAdded and markerRemoved events when a marker is added or removed. To handle them, assign functions to the onMarkerAdded and onMarkerRemoved properties, respectively.

  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Map } from 'devextreme-react/map';
  •  
  • const centerCoordinates = { lat: 40.749825, lng: -73.987963 };
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.markerAdded = this.markerAdded.bind(this);
  • this.markerRemoved = this.markerRemoved.bind(this);
  • }
  •  
  • markerAdded(e) {
  • const addedMarker = e.options;
  • // The original marker used by the current map provider
  • const originalMarker = e.originalMarker;
  • // Event handling commands go here
  • }
  •  
  • markerRemoved(e) {
  • const removedMarker = e.options;
  • // Event handling commands go here
  • }
  •  
  • render() {
  • return (
  • <Map
  • defaultZoom={10}
  • defaultCenter={centerCoordinates}
  • onMarkerAdded={this.markerAdded}
  • onMarkerRemoved={this.markerRemoved}
  • />
  • );
  • }
  • }
  •  
  • export default App;
See Also